package com.gic.haoban.manage.service.service.out.impl.chat;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.chat.GroupChatActivityInviteLogDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatActivityInviteLogQDTO;
import com.gic.haoban.manage.api.service.chat.GroupChatActivityInviteLogApiService;
import com.gic.haoban.manage.service.service.chat.GroupChatActivityInviteLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author shangfeng
 * @date 2024-10-08 14:37:46
 */
@Service("groupChatActivityInviteLogApiService")
public class GroupChatActivityInviteLogApiServiceImpl implements GroupChatActivityInviteLogApiService {

    @Autowired
    private GroupChatActivityInviteLogService groupChatActivityInviteLogService;

    @Override
    public ServiceResponse<List<GroupChatActivityInviteLogDTO>> queryMaxBatchInviteLog(GroupChatActivityInviteLogQDTO inviteLogQDTO) {
        return ServiceResponse.success(groupChatActivityInviteLogService.queryMaxBatchInviteLog(inviteLogQDTO));
    }

    @Override
    public ServiceResponse<Page<GroupChatActivityInviteLogDTO>> queryInviteLogDetails(GroupChatActivityInviteLogQDTO inviteLogQDTO) {
        return ServiceResponse.success(groupChatActivityInviteLogService.queryInviteLogDetails(inviteLogQDTO));
    }
}
