package com.gic.haoban.manage.api.service.chat;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.chat.GroupChatActivityInviteLogDTO;
import com.gic.haoban.manage.api.dto.qdto.chat.GroupChatActivityInviteLogQDTO;

import java.util.List;

/**
 * @author shangfeng
 * @date 2024-10-08 14:38:18
 */
public interface GroupChatActivityInviteLogApiService {


    /**
     * 查询C端邀请人数据
     *
     * @param inviteLogQDTO
     * @return
     */
    ServiceResponse<List<GroupChatActivityInviteLogDTO>> queryMaxBatchInviteLog(GroupChatActivityInviteLogQDTO inviteLogQDTO);

    /**
     * 邀请明细
     *
     * @param inviteLogQDTO
     * @return
     */
    ServiceResponse<Page<GroupChatActivityInviteLogDTO>> queryInviteLogDetails(GroupChatActivityInviteLogQDTO inviteLogQDTO);

}
